package com.ym.im.util;

import com.ym.im.exception.IMessageException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.lang.Nullable;

/**
 * @author 陈俊雄
 * @date 2019/5/29
 **/
@Slf4j
public abstract class Assert {
    public static void notNull(@Nullable Object object, String i18nError) {
        if (object == null) {
            throw new IMessageException(i18nError);
        }
    }
}
